<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package palmiword
 */

get_template_part('template-parts/header-nomage', 'page');?>
<br>
<main id="primary" class="site-main">
<div class="row justify-content-md-center">
  <nav style="--bs-breadcrumb-divider: '->';" aria-label="breadcrumb">
    <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')) ?>"><i class="bi bi-house-door"></i> Home </a></li>
      <li class="breadcrumb-item active" aria-current="page">Primi Risultati :
        <a href="<?php the_permalink();?>"><?php the_title (); ?></a></li>
    </ol>
  </nav>
<div class="col-10  md-auto">
<?php if (have_posts()) : ?>
<h4>
<?php 
/* translators: %s: search term */
printf( esc_html__( 'Risultati trovati per : %s', 'palmiword' ), '<span>' . get_search_query() . '</span>' ); 
?>
</h4>
            
<?php while (have_posts()) : the_post(); ?>
<?php
if (isset( $_POST['post_type'] ) ) {
  $report_id = sanitize_text_field( wp_unslash($_POST['post_type'] ));
  // Update the meta fields in the database.
if($report_id == 'forms' ){?>

            
            <article>
              <a href="<?php the_permalink(); ?>">
                <h6><?php the_title(); ?></h6></a>
                <span style="font-size:12px;"> <i class="bi bi-person"></i>
                <?php the_author_meta('display_name'); ?> <i class="bi bi-alarm"></i>
                <?php the_time(get_option('date_format')); ?></span>
                <?php the_excerpt();?>
            </article>        
            
<?php } else { ?>
<?php } ?>
<?php } else { ?>
            
            <article>
              <a href="<?php the_permalink(); ?>">
                <h6><?php the_title(); ?></h6></a>
                <span style="font-size:12px;"> <i class="bi bi-person"></i>
                <?php the_author_meta('display_name'); ?> <i class="bi bi-alarm"></i>
                <?php the_time(get_option('date_format')); ?></span>
                <?php the_excerpt();?>
            </article>     
<?php } ?>
<?php endwhile; else: ?>
            
<h4>
<?php
/* translators: %s: search term */
printf( esc_html__( 'Cercati risultati per : %s', 'palmiword' ), '<span>' . get_search_query() . '</span>' );
?>
</h4>
<?php esc_html_e('Spiacenti, nessuna parola corrisponde alla ricerca.', 'palmiword'); ?>

<?php endif; ?>

<br><br><br>

</div>
</div>
</main><!-- #main -->
<?php get_footer(); ?>