<?php 
/**
 * The template for displaying all pages
 *
 *
 * @link
 *
 * @package palmiword
 */

get_template_part('template-parts/header-pagine', 'page');
?>
<main id="primary" class="site-main">
<div class="row">
  <nav style="--bs-breadcrumb-divider: '->';" aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')) ?>"><i class="bi bi-house-door"></i> Home</a>
      </li>
      <li class="breadcrumb-item" aria-current="page">:</li>
      <li class="breadcrumb-item active" aria-current="page"> <?php echo wp_trim_words( get_the_title(), 4 ); ?>
        <i class="bi bi-alarm"></i> <?php the_time(get_option('date_format')); ?>
      </li>
    </ol>
  </nav>
</div>
<div id="primary" class="row">
  <?php if( get_theme_mod( 'align_sidebar' ) == 'left') { ?>
  <div class="spaccing sidebar-sx  col-sm-3">
    <?php get_sidebar('left');?>
  </div>
  <?php } //end if ?>
  <div class=" miglioradai spaccing col-sm-9">
    <?php if(have_posts()): while(have_posts()):the_post();?>
    <div class="blog-info-title-page"><h1><?php the_title();?></h1></div>
    <?php the_content();?>
   <?php endwhile;?>
    <?php endif?>
    <br><ul class="pagination">
      <li class="pageleft">
        <?php next_post_link( '%link', '<i> < </i> %title' ); ?>
      </li>
      <li class="pageright">
        <?php previous_post_link( '%link', '%title <i> > </i>' ); ?>
      </li>
    </ul>
</div>
 <div class="spaccing sidebar-dx  col-sm-3">
    <?php get_sidebar('right');?>
 </div>
 </div>
<br>
</main><!-- #main -->
<?php get_footer();?>