<?php 
/**
 * The template for displaying all single posts
 *
 * @link 
 *
 * @package palmiword
 */

get_template_part('template-parts/header-medio', 'page');?>
<?php  $palmiword_our_title = get_the_title( get_option('page_for_posts', true) );?>
<main id="primary" class="site-main">
<div class="row">
  <nav style="--bs-breadcrumb-divider: '->';" aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')) ?>"><i class="bi bi-house-door"></i> Home</a></li>
	  <li class="breadcrumb-item"><a style="cursor:pointer;"onclick="javascript:history.go(-1)">Blog</a></li>
      <li class="breadcrumb-item active" aria-current="page"> 
	  <i class="bi bi-alarm"></i> <?php the_time(get_option('date_format')); ?></li>
	</ol>
  </nav>
</div>
<div id="primary" class="row p-2">
	<div class="miglioradai mobile col-md-9 ">
        <?php if(have_posts()): while(have_posts()):the_post();?>
		<h2><?php the_title();?></h2>
		<p>Di: <i class="bi bi-person"></i> <?php the_author_meta('display_name'); ?>  <?php if ( comments_open() ) : echo ' <i class="bi bi-chat-left"></i> <a> ';
                    comments_popup_link( '0', '1', '% comments', 'comments-link', 'Comments are off for this post');
                    echo ' </a>';
                    endif; ?></p>
		
		<?php the_content();?>
        <?php endwhile;?>
		<?php endif?>
		<?php comments_template( '/comments.php' ); ?>
	</div>
	<div class="spaccing sidebar-dx col-sm-3">
      <?php get_sidebar('right');?>
    </div>
	<ul class="pagination justify-content-center mb-4">
		<ul class="pagination justify-content-center mb-4">
			<li class="page-item">
				<?php next_post_link( '%link', '<i> < </i> %title' ); ?>
			</li>
			<li class="page-item">
				<?php previous_post_link( '%link', '%title <i> > </i>' ); ?>
			</li>
		</ul>
	</ul>
</div>
</div>
</main><!-- #main -->
<?php get_footer();